import "../../Canvas"
import Qt 4.7

import "balls.js" as Balls

Canvas {
    id: clock
    width:1000
    height:560
    
    Timer {
        interval: 33; running: true; repeat: true
        onTriggered: clock.updateCanvas()
    }

    onPaint: { Balls.run(ctx) }

    Component.onCompleted: Balls.setup()
	
	MouseArea{
	 anchors.fill : parent
	 hoverEnabled  : true
	onMousePositionChanged : {Balls.onDocMouseMove(mouseX,mouseY);}
	onPressed : Balls.onDocMouseDown()
	onReleased : Balls.onDocMouseUp()

	
	}
}


